Bluetooth desconecta e conecta, dell inspirion 5547, no windows funciona

Tive o mesmo problema no pop os, debian,kali linux e ubunto.
Ainda nao achei nenhuma soluçao que resolva.
bluez ta instalado, o bluetooth conecta no dispositivo e funciona mas infelismente nao da 40 segundos ele desconecta dizendo que nao possui nenhum adaptador.
O eu bluetooth é um Qualcomm atheros, 802.11ac/b/g/n

1 curtida

Olá @Vinicios tudo bem contigo?

Muito provavelmente esse problema está ocorrendo devido ao driver do módulo bluetooth, tente identificar o modelo exato do chip, talvez consigamos encontrar um driver que fique estável.

:vulcan_salute:

O eu bluetooth é um Qualcomm atheros, 802.11ac/b/g/n

Se eu não me engano este bluetooth e integrado com o wi-fi.

Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter, que encontrei no comando lspci, se caso nao for esses por favor me informe qual comando devo ultilizar no windows ou no pop os para descobrir, e ultilizei o manual neste 802.11ac/b/g/n.

Confere que kernel teu sistema tá usando (com uname -r no terminal). O problema com o Qualcomm Atheros é conhecido, acho que se corrigiu no kernel 5.10

Kernel 5.11.0-7633-generic.

Ih, talvez seria necessário aplicar um patch pra corrigir… sei que o kernel usado pelas distros baseadas em Arch resolveu, meu lap tem esse BT e tanto no Manjaro quanto no Garuda ele funciona

Provavelmente, eu já procurei na internet muita coisa e não consegui achar, faz mais de 1 mês

Veja aqui

https://forum.archlinux-br.org/viewtopic.php?id=10073

Acontece que “ID 04ca:3014 Lite-On Technology Corp. Qualcomm Atheros Bluetooth” é desligado após o carregamento do módulo acer_wmi. Então ele deve ser colocado na blacklist

/etc/modprobe.d/bluetooth-audio.conf 
blacklist acer_wmi

Além disso, é bom adicionar btcoex_enable = 1 e bt_ant_diversity = 1 ao ath9k_htc_conf

/etc/modprobe.d/ath9k_htc.conf 
options ath9k btcoex_enable=1 bt_ant_diversity=1

Agora basta reiniciar o sistema e lá estará ativado o bluetooth

1 curtida

Nao resolveu criei os arquivos e adicionei em cada coisa, e simplesmente continuou igual.

https://forums.linuxmint.com/viewtopic.php?t=304393

Este daqui é do site mimt.

Desfaça os processos anteriores

Tive o mesmo problema no pop os, debian,kali linux e ubunto.
Ainda nao achei nenhuma soluçao que resolva.
bluez ta instalado, o bluetooth conecta no dispositivo e funciona mas infelismente nao da 40 segundos ele desconecta dizendo que nao possui nenhum adaptador.
O eu bluetooth é um Qualcomm atheros, 802.11ac/b/g/n
Ja tentei [Dica] Ativar o bluetooth para Qualcomm Atheros QCA9565 / AR9565 / Usando o Arch Linux / Fórum Arch Linux Brasil, nao funcionou se alguem conseguir me ajuda ficarei muito grato, so fala que eu faço atualmente estou usando kde porem ja testei no gnome nao sei se interfere porem nao deu certo.
coloquei o fone funciona sai o audio durante pouco tempo segundos e aparece que nao possuo nenhum adaptador.
Kernel 5.11.0-7633-generic.
Testei o manjaro erro persiste

Qual o kernel utilizado

https://wiki.archlinux.org/title/Bluetooth#Problems_with_some_Bluetooth_drivers_in_kernel_5.10

Parece ter um problema com a versão 5.10

Tem como testar outra versão superior a sua, ou 5.9?

sudo service network-manager restart

Failed to restart network-manager.service: Unit network-manager.service not found.

Nao funcionou
como compilo kernel?

sudo apt install network-manager
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
network-manager is already the newest version (1.30.0-1ubuntu3).
network-manager set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
vini in /etc/modprobe.d 

❯ systemctl list-unit-files stat enabled

UNIT FILE STATE VENDOR PRESET

0 unit files listed.
esta instalado e deu isso

irei fazer uma iso do manjaro, porem como acho pelo kernel 5.9?

testei o manjaro, o erro persiste

Ok…

Não conheço pop os.

Sabe se tem network-manager instalado?

systemctl list-unit-files stat enabled

Não compila, tente procurar pelo kernel 5.9

Ou teste o manjaro?
Tem kernel mais atualizado